GXplorer60GXquery30-EnglishCompatibility

Unofficial Content
Spanish Version

GXplorer 6.0/GXquery 3.0 - Compatibility

If you have installed a previous version (beta) of GXplorer 6.0/IO or GXquery 3.0/IO you must uninstall this version before installing the Release. Check the installation and activation section for more information.

GXplorer 6.0 RC1 - GXquery 3.0 RC1

Services

HtmlDevExpress possible value for the property QueryFormat was replaced by HtmlCrossBrowserControls; for further information click here.

GXplorer / GXquery IO RC or previous betas

Metadata Conversion

To start using the product, a metadata convertion is needed. For more information check the metadata conversion section.

Web Interface

The new entry points to use GXplorer and GXquery Web interfaces are the following:

where server references the associated PC where the installation took place.

Services

The new entry point for the consumption of Web Services for GXplorer and GXquery are:

where server references the associated PC where the installation took place.

To use the new Services definition the client application must reconsume the services.
If you use the
queries execution services check the following:
  • The OWCVersion property changes to Version. The components in charge of the execution of queries must modify the property and the programs must be generated.
  • The QueryFormat property added the HtmlCrossBrowserControls value to use the new presentation component. For more information click here
Considerations

The setup installation does not integrates GXquery with GeneXus 7.5 y 8.0; the integration is only done with GeneXus 9.0.

GXplorer 5.0 / GXquery 2.0

Metadata Conversion

To start using the product, a metadata convertion is needed. For more information check the metadata conversion section.

GXplorer Public

GXplorer Public library features are deprecated in this version because of the inclusion of the BI Web Services. However, the functions available until GXplorer 5.0/GXquery 2.0 are maintained for compatibility purposes (no new feature is available through GXplorer Public). GXplorer Public libraries in the new versions are GXplorerClient60.dll and GXqueryClient30.dll.

GXplorer 4.0 or previous / GXquery 1.0

Metadata Conversion

To start using the product, a metadata convertion is needed. For more information check the metadata conversion section.

More information in Compatibility section in GXplorer 5.0 and GXquery 2.0 Release Notes.